:root {
  --transition-func: cubic-bezier(0.4, 0, 0.2, 1);
}
@media screen and (min-width: 428px) {
  .container {
    width: 428px;
  }
  .customer-item {
    width: calc((100% - 16px) / 2);
  }
}
@media screen and (max-width: 428px) {
  .modal {
    width: 100%;
  }
  .menu-modal {
    width: 100%;
  }
  .menu-nav-soc {
    width: calc(100% - 80px);
    gap: calc((100% - 96px) / 4);
  }
}
@media screen and (min-width: 428px) and (max-width: 767px) {
  .modal {
    width: 392px;
  }
  .menu-nav-soc {
    gap: 56px;
  }
}

@media screen and (max-width: 767px) {
  .hero {
    max-width: 428px;
    background-image: linear-gradient(
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/mob-hero-bg.jpg);
  }
  @media (min-device-pixel-ratio: 2),
    (-webkit-min-device-pixel-ratio: 2),
    (min-resolution: 192dpi),
    (min-resolution: 2dppx) {
    .hero {
      background-image: linear-gradient(
          rgba(46, 47, 66, 0.7),
          rgba(46, 47, 66, 0.7)
        ),
        url(../images/mob-hero-bg@2x.jpg);
    }
  }
  .footer-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 72px;
  }
  .footer .logo {
    text-align: center;
  }
  .footer-title-soc {
    text-align: center;
  }
  .footer .logo {
    margin-right: auto;
    margin-left: auto;
  }
  .footer-subscribe {
    width: 100%;
  }
  .footer-subscribe-items {
    flex-direction: column;
    align-items: center;
    row-gap: 16px;
  }
  .footer-input {
    width: 100%;
  }

  /*--------header--------*/
  .logo {
    margin-right: 0;
  }
  .menu-modal .current.nav-link {
    color: var(--accent-color);
  }
  .site-nav {
    display: none;
  }
  .nav-address {
    display: none;
  }
  .menu-modal .modal-button {
    background: #e7e9fc;
  }
  .menu-nav .link,
  .address-tel {
    text-decoration: none;
    color: var(--title-text-color);
    font-style: normal;
    font-weight: 700;
    font-size: 36px;
    line-height: 1.11;
    letter-spacing: 0.02em;
    transition: color 250ms var(--transition-func);
  }
  .menu-nav-link .link::after {
    display: none;
  }
  .menu-nav-link .link:active,
  .address-tel:active,
  .address-mail:active {
    color: var(--accent-color);
  }
  .menu-modal {
    max-height: 100vh;
    overflow-y: auto;
    padding: 80px 35px 40px 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: transform 250ms var(--transition-func);
  }
  .menu-modal.is-hidden {
    opacity: 0;
    visibility: hidden;
    /* событие указателя при таком елемента не действует на классе */
    pointer-events: none;
    transform: translate(-50%, -50%);
  }
  .menu-nav-link:not(:last-child) {
    margin-bottom: 40px;
  }
  .menu-modal .menu-address {
    display: block;
  }
  .menu-address-item:not(:last-child) {
    margin-bottom: 40px;
  }
  .menu-modal .menu-address {
    color: var(--address-color);
  }
  .address-tel {
    color: var(--accent-color);
  }
  .address-mail {
    text-decoration: none;
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 1.2;
    letter-spacing: 0.02em;
    color: var(--address-color);
  }
  .menu-nav-soc {
    padding-left: 5px;
    padding-right: 5px;
    display: flex;

    /* gap: 56px; */
    margin-top: 48px;
  }
  .menu-item-link {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: var(--text-color-1);

    transition: background-color 250ms var(--transition-func);
  }
  .menu-item-link:hover,
  .menu-item-link:focus {
    background-color: var(--accent-color);
  }
  .menu-item-icon {
    width: 24px;
    height: 24px;
    fill: var(--additional-color);
  }
}

@media screen and (min-width: 768px) {
  .container {
    width: 768px;
    padding-left: 16px;
    padding-right: 16px;
  }

  .hero-title {
    max-width: 496px;
    margin-bottom: 36px;
    font-size: 56px;
    line-height: 1.07;
  }
  .strengths {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 72px;
    column-gap: 24px;
  }
  .strength {
    width: calc((100% - 24px) / 2);
  }
  .strengths .title {
    text-align: left;
  }
  .teammembers {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    row-gap: 64px;
    column-gap: 24px;
    align-items: center;
    justify-content: center;
  }
  .customer-item {
    /* width: 168px;  */
    width: calc((100% - 234px) / 3);
  }
  .customers-list {
    display: flex;
    flex-wrap: wrap;
    row-gap: 72px;
    column-gap: 24px;
    justify-content: center;
  }
  .modal {
    width: 408px;
    padding: 72px 23px 23px;
  }
  .footer-input {
    width: 264px;
  }
  /*---------header-------*/
  .page-header {
    padding: 16px 0px;
  }
  .header-nav {
    display: flex;
    margin-right: auto;
  }
  .site-nav {
    display: flex;
    gap: 40px;
  }
  .nav-contacts {
    display: flex;
  }
  .current.nav-link::after {
    bottom: -29px;
  }
  .menu-button {
    display: none;
  }
  .menu-modal {
    display: none;
  }
}
@media screen and (min-width: 768px) and (max-width: 1199px) {
  .footer .container {
    padding-left: 108px;
    padding-right: 108px;
  }
}
@media screen and (max-width: 1199px) {
  .hero {
    max-width: 768px;
    background-image: linear-gradient(
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/tab-hero-bg.jpg);
  }
  @media (min-device-pixel-ratio: 2),
    (-webkit-min-device-pixel-ratio: 2),
    (min-resolution: 192dpi),
    (min-resolution: 2dppx) {
    .hero {
      background-image: linear-gradient(
          rgba(46, 47, 66, 0.7),
          rgba(46, 47, 66, 0.7)
        ),
        url(../images/tab-hero-bg@2x.jpg);
    }
  }
  .footer-container {
    flex-wrap: wrap;
    row-gap: 72px;
  }

  .footer-icons {
    margin-left: 24px;
  }
  .nav-address {
    flex-direction: column;
    gap: 12px;
  }

  .nav-address .link {
    font-size: 12px;
    line-height: 1.17;
  }
}
@media screen and (min-width: 1200px) {
  .container {
    width: 1158px;
    padding-left: 15px;
    padding-right: 15px;
  }
  .hero {
    padding-top: 188px;
    padding-bottom: 188px;
    max-width: 1440px;
    background-image: linear-gradient(
        rgba(46, 47, 66, 0.7),
        rgba(46, 47, 66, 0.7)
      ),
      url(../images/desc-hero-bg.jpg);
  }
  @media (min-device-pixel-ratio: 2),
    (-webkit-min-device-pixel-ratio: 2),
    (min-resolution: 192dpi),
    (min-resolution: 2dppx) {
    .hero {
      background-image: linear-gradient(
          rgba(46, 47, 66, 0.7),
          rgba(46, 47, 66, 0.7)
        ),
        url(../images/desc-hero-bg@2x.jpg);
    }
  }
  .hero-title {
    margin-bottom: 48px;
    font-size: 56px;
    line-height: 1.07;
  }
  /* -----------Section 2 Strengths---------- */
  .section-strengths {
    padding-top: 120px;
    padding-bottom: 120px;
  }
  .strengths .title,
  .services .title {
    font-weight: 500;
    font-size: 20px;
    line-height: 1.2;
    text-align: left;
  }
  .strength-discription {
    font-weight: 400;
  }
  .strengths {
    flex-direction: row;
    gap: 24px;
  }
  .strength {
    width: calc((100% - 72px) / 4);
  }
  .strength-icons {
    height: 112px;
    background-color: var(--additional-color);
    margin-bottom: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .strength-icon {
    width: 64px;
    height: 64px;
  }
  /* ---------------Section What we are doing---------------- */
  .section-features {
    display: block;
    padding-bottom: 120px;
  }
  .card-list {
    display: flex;
    gap: 24px;
  }
  .card-list > .image-box {
    width: calc((100% - 48px) / 3);
  }
  /* ---------------Section Our Team---------------- */
  .team {
    padding-top: 120px;
    padding-bottom: 120px;
  }
  .teammembers {
    flex-direction: row;
    gap: 24px;
  }
  .team .container {
    padding-left: 15px;
    padding-right: 15px;
  }
  .teammembers-description {
    background-color: #ffffff;
    width: calc((100% - 72) / 4);
    border-radius: 0;
  }
  .section-customers {
    padding-top: 130px;
    padding-bottom: 120px;
  }
  .customers-list {
    display: flex;
    gap: 24px;
    flex-wrap: nowrap;
  }
  .customer-item {
    width: calc((100% - 24px * 5) / 6);
  }
  .footer {
    background-color: var(--title-text-color);
    padding-top: 100px;
    padding-bottom: 100px;
  }
  .footer-icons {
    margin-left: 120px;
  }
  .footer-subscribe {
    margin-right: 0;
    margin-left: 80px;
  }
  .footer-input {
    border: 1px solid var(--backgroun-color);
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.15);
    border-radius: 4px;
    background-color: var(--title-text-color);
    color: var(--backgroun-color);
    outline: transparent;
    opacity: 1;
  }
  .modal {
    padding: 72px 24px 24px;
  }
  .page-header {
    padding: 24px 0px;
    border-bottom: 1px solid var(--footer-text-color);
    box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
      0px 1px 1px rgba(46, 47, 66, 0.16), 0px 1px 6px rgba(46, 47, 66, 0.08);
  }

  .header-container {
    display: flex;
    align-items: center;
  }

  .header-nav {
    display: flex;
    margin-right: auto;
  }
  .site-nav {
    display: flex;
    gap: 40px;
  }
  .nav-address {
    display: flex;
    flex-direction: row;
    gap: 40px;
  }
  .page-header {
    padding: 24px 0px;
  }
  .nav-address .link {
    letter-spacing: 0.02em;
  }
}
